xgboost

Public Member Functions | Static Public Attributes | List of all members
xgboost::common::Column< BinIdxType > Class Template Reference

a column storage, to be used with ApplySplit. Note that each bin id is stored as index[i] + index_base. Different types of column index for each column allow to reduce the memory usage. More...

`#include <column_matrix.h>`

Inheritance diagram for xgboost::common::Column< BinIdxType >:
Collaboration diagram for xgboost::common::Column< BinIdxType >:

## Public Member Functions
| Column (ColumnType type, common::Span< const BinIdxType > index, const uint32_t index_base)
virtual | ~Column ()=default
uint32_t | GetGlobalBinIdx (size_t idx) const
BinIdxType | GetFeatureBinIdx (size_t idx) const
uint32_t | GetBaseIdx () const
common::Span< const BinIdxType > | GetFeatureBinIdxPtr () const
ColumnType | GetType () const
size_t | Size () const

## Static Public Attributes
static constexpr int32_t | kMissingId = -1

## Detailed Description

### template<typename BinIdxType>
class xgboost::common::Column< BinIdxType >

a column storage, to be used with ApplySplit. Note that each bin id is stored as index[i] + index_base. Different types of column index for each column allow to reduce the memory usage.

## Constructor & Destructor Documentation

## ◆ Column()

template<typename BinIdxType >

xgboost::common::Column< BinIdxType >::Column | ( | ColumnType | type,
|  | common::Span< const BinIdxType > | index,
|  | const uint32_t | index_base
| ) |  |
| inline

## ◆ ~Column()

template<typename BinIdxType >

virtual xgboost::common::Column< BinIdxType >::~Column | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ GetBaseIdx()

template<typename BinIdxType >

uint32_t xgboost::common::Column< BinIdxType >::GetBaseIdx | ( |  | ) | const
| inline

## ◆ GetFeatureBinIdx()

template<typename BinIdxType >

BinIdxType xgboost::common::Column< BinIdxType >::GetFeatureBinIdx | ( | size_t | idx | ) | const
| inline

## ◆ GetFeatureBinIdxPtr()

template<typename BinIdxType >

common::Span<const BinIdxType> xgboost::common::Column< BinIdxType >::GetFeatureBinIdxPtr | ( |  | ) | const
| inline

## ◆ GetGlobalBinIdx()

template<typename BinIdxType >

uint32_t xgboost::common::Column< BinIdxType >::GetGlobalBinIdx | ( | size_t | idx | ) | const
| inline

## ◆ GetType()

template<typename BinIdxType >

ColumnType xgboost::common::Column< BinIdxType >::GetType | ( |  | ) | const
| inline

## ◆ Size()

template<typename BinIdxType >

size_t xgboost::common::Column< BinIdxType >::Size | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ kMissingId

template<typename BinIdxType >

constexpr int32_t xgboost::common::Column< BinIdxType >::kMissingId = -1
| static constexpr

The documentation for this class was generated from the following file:

- /home/runner/work/xgboost/xgboost/src/common/column_matrix.h